classification
Title: sys.exec_prefix does not work
Type: Stage:
Components: None Versions:
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: georg.brandl, schmir, sirdude
Priority: normal Keywords:

Created on 2004-01-06 16:19 by sirdude, last changed 2008-03-14 23:12 by georg.brandl. This issue is now closed.

Messages (3)
msg60445 - (view) Author: Kent Mein (sirdude) Date: 2004-01-06 16:19
I configured 2.2.3 (also tried it with earlyer versions of python
and still broken)
With the following options
--prefix=/soft/python-2.3 --exec-prefix=/soft/python-2.3/debian3

when you do the following python:
import sys
sys.prefix
sys.exec_prefix

both sys.prefix and sys.exec_prefix are set to /soft/python-2.3

Its causing problems when I try to install scons.

Thanks,

Kent Mein
msg63531 - (view) Author: Ralf Schmitt (schmir) Date: 2008-03-14 17:21
this works now:
$ ./configure --prefix ~/soft/ --exec-prefix ~/soft/deb3
...
~/release25-maint/ ~/soft/deb3/bin/python                          
ralf@red ok
Python 2.5.3a0 (release25-maint, Mar 14 2008, 18:19:57) 
[GCC 4.2.3 (Debian 4.2.3-2)] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> import sys
>>> sys.prefix
'/home/ralf/soft'
>>> sys.exec_prefix
'/home/ralf/soft/deb3'


please close this issue.
msg63542 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2008-03-14 23:12
Done.
History
Date User Action Args
2008-03-14 23:12:45georg.brandlsetstatus: open -> closed
resolution: fixed
messages: + msg63542
nosy: + georg.brandl
2008-03-14 17:21:35schmirsetnosy: + schmir
messages: + msg63531
2004-01-06 16:19:37sirdudecreate